E-MailRelay

Public Member Functions | List of all members
GSmtp::FilterFactoryFileStore Class Reference

A filter factory that holds a GSmtp::FileStore reference so that it can instantiate filters that operate on message files. More...

`#include <gfilterfactory.h>`

Inheritance diagram for GSmtp::FilterFactoryFileStore:

## Public Member Functions
| FilterFactoryFileStore (FileStore &)
| Constructor. More...
std::unique_ptr< Filter > | newFilter (GNet::ExceptionSink, bool server_side, const std::string &identifier, unsigned int timeout) override
| Returns a Filter on the heap. More...
Public Member Functions inherited from GSmtp::FilterFactory
virtual std::unique_ptr< Filter > | newFilter (GNet::ExceptionSink, bool server_side, const std::string &identifier, unsigned int timeout)=0
| Returns a Filter on the heap. More...
virtual | ~FilterFactory ()=default
| Destructor.

## Additional Inherited Members
Static Public Member Functions inherited from GSmtp::FilterFactory
static std::string | check (const std::string &identifier)
| Checks an identifier. More...

## Detailed Description

A filter factory that holds a GSmtp::FileStore reference so that it can instantiate filters that operate on message files.

Definition at line 62 of file gfilterfactory.h.

## Constructor & Destructor Documentation

## ◆ FilterFactoryFileStore()

GSmtp::FilterFactoryFileStore::FilterFactoryFileStore | ( | FileStore & | file_store | ) |
| explicit

Constructor.

The FileStore reference is retained and passed to new filter objects so that they can derive the paths of the content and envelope files that they process.

Definition at line 31 of file gfilterfactory.cpp.

## Member Function Documentation

## ◆ newFilter()

std::unique_ptr< GSmtp::Filter > GSmtp::FilterFactoryFileStore::newFilter | ( | GNet::ExceptionSink | ,
|  | bool | server_side,
|  | const std::string & | identifier,
|  | unsigned int | timeout
| ) |  |
| override virtual

Returns a Filter on the heap.

The identifier is normally prefixed with a processor type, or it is the file system path of an exectuable.

Implements GSmtp::FilterFactory.

Definition at line 36 of file gfilterfactory.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfilterfactory.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gfilterfactory.cpp